WordPressでPHP8へアップグレード後、ログイン後に重大なエラーが解決


PHP7からPHP8へアップグレードするとWordPressがログイン後、重大なエラーが起こる
現象がやっと解決。デバックモードでエラーログを見るも不明
まあ、よくPHPの構文がわからないので何でエラーが発生しているのか読み取れず
いろんなサイトを見るとプラグインがPHP8に対応していない可能性があるとのこと
詳しくはこちら



そこで最終手段として力技を使うことにしました。
テスト環境に現在のサイトをコピーしてプラグインを1個外してはログインの繰り返しを
1時間かけてやっと判明
原因のプラグインは ”WP-RecentComments”
何をするプラグインかというとウィジェットに最新のコメントを表示するプラグイン

幸いにも全くの未使用のプラグインだったので本番環境から削除
もちろん、WordPressログイン後にちゃんとダッシュボードが開くようになりました。
使ってないプラグインは削除したほうがいいですね。
こちらのプラグインの最新更新は9年前になっていますので(笑)
関連サイト
https://howcang.com/2021/03/15/wp-security/


このエントリーをはてなブックマークに追加 ブログランキング・にほんブログ村へ

おすすめ!